Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin
Class MoveBuilds

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.build.admin.MoveBuilds

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class MoveBuilds

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`MoveBuilds()`

Method Summary
`String` | `doSelectBuilds()`
`String` | `execute()`
`long[]` | `getBuildIds()`
`Map` | `getBuildKeyMappings()`
`Map` | `getBuildNameMappings()`
`Collection` | `getBuilds()`
`long` | `getProjectId()`
`Collection` | `getProjects()`
`Collection` | `getSelectedBuilds()`
`Project` | `getSelectedProject()`
`SessionFactory` | `getSessionFactory()`
`void` | `setBuildIds(long[] buildIds)`
`void` | `setBuildKeyMappings(Map buildKeyMappings)`
`void` | `setBuildNameMappings(Map buildNameMappings)`
`void` | `setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)`
`void` | `setPipelineManager(PipelineManager pipelineManager)`
`void` | `setProjectId(long projectId)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### MoveBuilds

    public MoveBuilds()

Method Detail

### doSelectBuilds

    public String doSelectBuilds()

### validate

    public void validate()

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### getProjects

    public Collection getProjects()

### getBuilds

    public Collection getBuilds()

### getSelectedBuilds

    public Collection getSelectedBuilds()

### getSelectedProject

    public Project getSelectedProject()

### getBuildIds

    public long[] getBuildIds()

### setBuildIds

    public void setBuildIds(long[] buildIds)

### getProjectId

    public long getProjectId()

### setProjectId

    public void setProjectId(long projectId)

### getBuildKeyMappings

    public Map getBuildKeyMappings()

### setBuildKeyMappings

    public void setBuildKeyMappings(Map buildKeyMappings)

### getBuildNameMappings

    public Map getBuildNameMappings()

### setBuildNameMappings

    public void setBuildNameMappings(Map buildNameMappings)

### getSessionFactory

    public SessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

### setPipelineManager

    public void setPipelineManager(PipelineManager pipelineManager)

### setBuildResultsIndexer

    public void setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.